/* START LATEST TRENDS */

/* Card configuration row */
.card-configuration-row {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 70px;
    gap: 20px;
}

/* Latest trends */
.latest-trends {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 40px;
    padding: 40px 32px;
    max-width: 1316px;
    margin: auto;
}

/* List background color: white */
.section-latest-trends.white {
    background-color: var(--background-list-white);
}
/* List background color: grey */
.section-latest-trends.grey {
    background-color: var(--background-list-grey);
}
/* List background color: dark-grey */
.section-latest-trends.dark-grey {
    background-color: var(--background-list-dark-grey);
}

/* Title */
.latest-trends .title-row {
    width: 100%;
    max-width: 1316px;
    padding: 0 32px;
    font-size: var(--text-xl);
    letter-spacing: 1px;
    color: var(--color-primary-blue);
    font-family: var(--font-frutiger-bold);
    text-align: center;
}

/* Upper div */
.latest-trends .trends-card .upper-div {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 280px;
    position: relative;
}

.latest-trends .trends-card .upper-div .card-image {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100%;
}

.latest-trends .trends-card .card-image picture {
    width: 100%;
    height: 100%;
}

.latest-trends .trends-card .card-image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 10px;
}

.latest-trends .trends-card .card-label {
    display: flex;
    justify-content: center;
    align-items: center;
    min-width: fit-content;
    width: unset;
    height: 20px;
    border-radius: 4px;
    background-color: #215a82;
    position: absolute;
    left: 10px;
    bottom: 10px;
    padding: unset;
}

/* Lower div */
.latest-trends .trends-card .lower-div {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    gap: 20px;
}

.latest-trends .trends-card .lower-div .info {
    display: flex;
    flex-direction: column;
    justify-content: start;
    align-items: center;
    width: 100%;
    gap: 14px;
}

.latest-trends .trends-card .lower-div .published-date {
    display: flex;
    justify-content: start;
    align-items: center;
    width: 100%;
}

.latest-trends .trends-card .lower-div .published-date p {
    word-break: break-word;
    font-size: var(--text-xs);
    color: var(--color-text-grey);
}

.latest-trends .trends-card .lower-div .title-card {
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    text-overflow: ellipsis;
    overflow: hidden;
    text-align: start;
    width: 100%;
}

.latest-trends .trends-card .lower-div .title-card h3 {
    word-break: break-word;
    font-size: var(--text-xxm);
    font-family: var(--font-frutiger-bold);
    letter-spacing: 1px;
    color: #000000;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 3;
}

.latest-trends .trends-card .lower-div .description-card {
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 4;
    text-overflow: ellipsis;
    overflow: hidden;
    text-decoration: none;
    width: 100%;
    text-align: start;
    word-break: break-word;
    font-size: var(--text-s);
    color: var(--color-text-grey);
    letter-spacing: 0.5px;
}

.latest-trends .trends-card .lower-div .description-card img {
    display: none;
}

.latest-trends .trends-card .lower-div .read-more-row {
    display: flex;
    justify-content: start;
    align-items: center;
    width: 100%;
    gap: 5px;
    text-decoration: none;
}

.latest-trends .trends-card .lower-div .read-more-row .arrow {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 9px;
    height: 9px;
}

.latest-trends .trends-card .lower-div .read-more-row .arrow img {
    width: 100%;
    object-fit: cover;
}

.latest-trends .trends-card .lower-div .read-more-row:hover .arrow,
.latest-trends .trends-card:hover .arrow {
    transform: translateX(5px);
    transition: transform 0.3s ease;
}

/* List button row */
.latest-trends .button-row {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
}

/* Generic slider */
.latest-trends .generic-slider {
    height: fit-content;
}

/* Card */
.latest-trends .generic-slider .trends-card {
    display: flex;
    flex-shrink: 0;
    flex-direction: column;
    width: 283px;
    max-width: 283px;
    height: 100%;
    scroll-snap-align: start;
    text-decoration: none;
    gap: 20px;
}

/* Upper div */
.latest-trends .trends-card .upper-div {
    height: 244px;
}


/* START MEDIA QUERY */
@media (max-width: 600px) {
    .latest-trends .generic-slider {
        overflow-x: auto;
    }
}

@media (max-width: 576px) {
    .latest-trends .title-row {
        font-size: var(--text-xxxxm);
    }

    .latest-trends {
        padding: 40px 16px;
    }
}
/* END MEDIA QUERY */